curl --request PUT \
--url https://api.dots.dev/api/v2/users/{user_id}/payout-methods \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "ach",
"routing_number": "123456789",
"account_number": "123456789",
"account_type": "checking"
}
'{
"platform": "ach",
"id": "<string>",
"description": "<string>",
"mask": "<string>",
"email": "<string>",
"phone_number": "<string>",
"cash_tag": "<string>",
"country": "<string>",
"currency": "<string>"
}Add Payout Method
Add a payout method to the user. Payout method can be one of paypal, venmo, ach, or cash_app. Each method has different required parameters.
curl --request PUT \
--url https://api.dots.dev/api/v2/users/{user_id}/payout-methods \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "ach",
"routing_number": "123456789",
"account_number": "123456789",
"account_type": "checking"
}
'{
"platform": "ach",
"id": "<string>",
"description": "<string>",
"mask": "<string>",
"email": "<string>",
"phone_number": "<string>",
"cash_tag": "<string>",
"country": "<string>",
"currency": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the user to fetch
Body
Payout platform to add.
paypal, venmo, cash_app, ach Bank account or Cash App routing number. Required if platform = ach or cash_app.
Bank account or Cash App account number. Required if platform = ach or cash_app.
Bank account type. Required if platform = ach.
checking, savings PayPal email address. Required if platform = paypal.
Venmo phone number. One of phone_number or handle is required if platform = venmo.
Venmo handle. One of phone_number or handle is required if platform = venmo.
Cash App Cash Tag. Required if platform = cash_app.
Was this page helpful?